#include <bits/stdc++.h>
using namespace std;
long long n,q,c;
long long l[1000005], r[1000005];
string s[10000005];
int main(){
    cin>>n>>c>>q;
    cin>>s[abs(n) ];
    for(int i=1;i<=q;i++){
        cin>>l[i]>>r[i];
    cout<<1<<endl;
    }





    return 0;
}